Bug 1698706 - gnucash datafile could not be found, opening from gvfs mount point fails
Summary: gnucash datafile could not be found, opening from gvfs mount point fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 04:27 UTC by Chris Murphy
Modified: 2019-05-15 03:33 UTC (History)
3 users (show)

Fixed In Version: gnucash-3.5-3.fc30 gnucash-3.5-3.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-06 00:45:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Chris Murphy 2019-04-11 04:27:26 UTC
Downstream tracking for this bug:
https://bugs.gnucash.org/show_bug.cgi?id=797175

Problem: With a gnucash file on a Fedora 29 Server shared with a Fedora 30 client using Samba, gnucash-3.5-1.fc30.x86_64 can't open the data file. Reverting back to gnucash-3.4-4.fc30.x86_64 solves the problem.

I haven't tested other file sharing protocols, or gnucash-3.5-1.fc29 but I suspect it'll be a problem across the board, so hopefully it gets fixed upstream before Fedora 28 goes EOL.

Comment 1 Tim Waugh 2019-04-14 10:42:26 UTC
Similar thing happens when attempting to load a file over an sftp gvfs mount.

Comment 2 Chris Murphy 2019-04-15 00:37:50 UTC
This has been pushed
https://github.com/Gnucash/gnucash/commit/0f6465ca6ddfb882db15c54685ba218e5c59c430

Unfortunately no Fedora nightlies to test. The bug's original reporter is using Windows so I'm not certain that commit fixes the problem on Fedora.
https://copr.fedorainfracloud.org/coprs/gjanssens/gnucash-master/builds/

Comment 3 Bill Nottingham 2019-04-15 14:21:44 UTC
3.5-2 thrown at rawhide, feel free to give it a try there when it's done building.

Comment 4 Chris Murphy 2019-04-15 16:11:17 UTC
3.5-2 doesn't fix it for me, had to downgrade back to 3.4-4. I'll try to figure out how to get more debugging info from gnucash on launch for the upstream bug report.

Comment 5 Chris Murphy 2019-04-16 17:11:20 UTC
The problem does also happen on Fedora 28. Upstream bug has more updates on the troubleshooting status. Once I've got a tested fix I'll report back here.

Comment 6 Chris Murphy 2019-04-23 21:59:47 UTC
OK, tested fix has been pushed upstream, per https://bugs.gnucash.org/show_bug.cgi?id=797175#c23

commit 20e2b6b5de513d4fa9362d51524f8cddb523f607
    Bug 797175 - Opening a file from a gvfs mount point fails

Comment 7 Tim Waugh 2019-05-03 08:34:58 UTC
This still fails for me with gnucash-3.5-2.fc31.x86_64 when trying to open a file over sftp.

Here is the file path:
/run/user/1000/gvfs/sftp:host=snoopy,user=tim/mnt/shared/Accounts/accounts-2019.gnucash

Comment 8 Tim Waugh 2019-05-03 08:39:45 UTC
Easily reproduced with:
$ DIR='/tmp/gvfs/sftp:host=snoopy,user=tim/dir'
$ mkdir -p $DIR
$ cp whatever.gnucash $DIR/file.gnucash
$ gnucash $DIR/file.gnucash

Comment 9 Bill Nottingham 2019-05-03 15:12:24 UTC
Upstream patch from comment https://bugzilla.redhat.com/show_bug.cgi?id=1698706#c6 thrown at rawhide as 3.5-3.

Comment 10 Tim Waugh 2019-05-03 16:00:16 UTC
Thanks, gnucash-3.5-3.fc31.x86_64 works here.

Comment 11 Fedora Update System 2019-05-03 18:29:25 UTC
gnucash-3.5-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ef52a2d07

Comment 12 Fedora Update System 2019-05-03 18:30:47 UTC
gnucash-3.5-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-87e2ba0d61

Comment 13 Fedora Update System 2019-05-04 01:57:58 UTC
gnucash-3.5-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1ef52a2d07

Comment 14 Fedora Update System 2019-05-04 02:58:32 UTC
gnucash-3.5-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-87e2ba0d61

Comment 15 Fedora Update System 2019-05-06 00:45:48 UTC
gnucash-3.5-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-15 03:33:11 UTC
gnucash-3.5-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.